<script setup>
defineProps({
  modal: { type: Object, required: true },
  cssClasses: {
    type: Array,
    required: false,
    default() {
      return ["message", "is-info"];
    },
  },
});
const emit = defineEmits(["close-modal"]);
</script>

<template>
  <div :class="{ modal: true, 'is-active': modal?.visible }">
    <div class="modal-background" @click="emit('close-modal')"></div>
    <div class="modal-content">
      <article class="message is-flex is-flex-direction-column is-clipped-container" :class="cssClasses">
        <div class="message-header ">
          <p>
            <slot name="header"></slot>
          </p>
          <Icon :icon="'x-circle'" @click="emit('close-modal')" />
        </div>
        <div class="message-body is-scroll-container">
          <slot></slot>
        </div>
        <footer class="modal-card-foot">
          <slot name="footer"></slot>
        </footer>
      </article>
    </div>
  </div>
</template>
